
From: Domen Puncer <domen@coderock.org>

Unify the spinlock initialization as far as possible.

Signed-off-by: Amit Gud <gud@eth.net>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/wait.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/linux/wait.h~unified-spinlock-initialization-include-linux-waith include/linux/wait.h
--- 25/include/linux/wait.h~unified-spinlock-initialization-include-linux-waith	Sun Mar  6 16:45:05 2005
+++ 25-akpm/include/linux/wait.h	Sun Mar  6 16:45:05 2005
@@ -79,7 +79,7 @@ typedef struct __wait_queue_head wait_qu
 
 static inline void init_waitqueue_head(wait_queue_head_t *q)
 {
-	q->lock = SPIN_LOCK_UNLOCKED;
+	spin_lock_init(&q->lock);
 	INIT_LIST_HEAD(&q->task_list);
 }
 
_
